Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Types | Public Member Functions | Public Attributes | List of all members
OpenMesh::Subdivider::Adaptive::Traits Struct Reference
Inheritance diagram for OpenMesh::Subdivider::Adaptive::Traits:

## Public Types
typedef Refs::HalfedgeHandle | HalfedgeHandle
typedef std::map< state_t, Point > | PositionHistory
typedef std::map< state_t, Point > | PositionHistory
typedef Refs::Scalar | Scalar
typedef std::map< state_t, Point > | PositionHistory
Public Types inherited from OpenMesh::DefaultTraits
typedef Vec3f | Point
| The default coordinate type is OpenMesh::Vec3f.
typedef Vec3f | Normal
| The default normal type is OpenMesh::Vec3f.
typedef float | TexCoord1D
| The default 1D texture coordinate type is float.
typedef Vec2f | TexCoord2D
| The default 2D texture coordinate type is OpenMesh::Vec2f.
typedef Vec3f | TexCoord3D
| The default 3D texture coordinate type is OpenMesh::Vec3f.
typedef int | TextureIndex
| The default texture index type.
typedef Vec3uc | Color
| The default color type is OpenMesh::Vec3uc.

## Public Member Functions
| FaceAttributes (OpenMesh::Attributes::Normal)
| VertexAttributes (OpenMesh::Attributes::Normal)
| HalfedgeAttributes (OpenMesh::Attributes::PrevHalfedge)
state_t | state () const
void | set_state (const state_t _s)
void | inc_state ()
final_t | final () const
void | set_final ()
void | set_not_final ()
const HalfedgeHandle & | red_halfedge () const
void | set_red_halfedge (const HalfedgeHandle &_h)
void | set_position (const int &_i, const Point &_p)
const Point | position (const int &_i)
state_t | state () const
void | set_state (const state_t _s)
void | inc_state ()
final_t | final () const
void | set_final ()
void | set_not_final ()
void | set_position (const int &_i, const Point &_p)
const Point | position (const int &_i)
state_t | state () const
void | set_state (const state_t _s)
void | inc_state ()
final_t | final () const
void | set_final ()
void | set_not_final ()
void | set_position (const int &_i, const Point &_p)
const Point | position (const int &_i)
Public Member Functions inherited from OpenMesh::DefaultTraits
| VertexAttributes (0)
| HalfedgeAttributes (Attributes::PrevHalfedge)
| EdgeAttributes (0)
| FaceAttributes (0)

## Public Attributes
| FaceTraits
State | state_
HalfedgeHandle | red_halfedge_
PositionHistory | pos_map_
| EdgeTraits
| VertexTraits

## Detailed Description

Definition at line 93 of file Traits.hh.

## Member Data Documentation

OpenMesh::Subdivider::Adaptive::Traits::EdgeTraits

Initial value:
{
private:
typedef typename Refs::Point Point

Definition at line 154 of file Traits.hh.

OpenMesh::Subdivider::Adaptive::Traits::FaceTraits

Initial value:
{
private:
typedef typename Refs::Point Point

Definition at line 106 of file Traits.hh.

OpenMesh::Subdivider::Adaptive::Traits::VertexTraits

Initial value:
{
private:
typedef typename Refs::Point Point

Definition at line 203 of file Traits.hh.

The documentation for this struct was generated from the following file:

- libs_required/OpenMesh/src/OpenMesh/Tools/Subdivider/Adaptive/Composite/Traits.hh